//---
// ft.all-tests: List of all test structures defined by modules
//---

#ifndef _FT_ALL_TESTS_H_
#define _FT_ALL_TESTS_H_

#include <ft/test.h>

/* ctype */
extern ft_test ft_ctype_classes;
extern ft_test ft_ctype_conversion;

/* inttypes */
extern ft_test ft_inttypes_sizes;
extern ft_test ft_inttypes_functions;

/* stdlib */
extern ft_test ft_stdlib_arith;
extern ft_test ft_stdlib_sizes;
extern ft_test ft_stdlib_llconv;
extern ft_test ft_stdlib_lconv;
extern ft_test ft_stdlib_fpconv;

/* string */
extern ft_test ft_string_memset;
extern ft_test ft_string_memcpy;
extern ft_test ft_string_memmove;
extern ft_test ft_string_memcmp;

#endif /* _FT_ALL_TESTS_H_ */
